package require doctools
doctools::new doc

set fmt html

doc configure -format $fmt
switch -- $fmt {
	html {
		set meta {<link rel='stylesheet' type='text/css' href='styles.css'>}
		append meta "\n"
		append meta {<meta HTTP-EQUIV="content-type" CONTENT="text/html">}
		doc setparam meta $meta
	}
	tex {
#	doc setparam xref [list {kw,LaTeX fname fragment} ]
	}
}


foreach file [glob *.man] {
	doc configure -file [file tail $file]
	set fp [open $file r]
	set html [doc format [read $fp]]
	close $fp
	set fp [open [file rootname $file].html w]
	puts -nonewline $fp $html
	close $fp
}

exit
